HttpServletModel (KML Framework API)
Keywords: org.boehn.kmlframework.servlet.HttpServletModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.servlet
Class HttpServletModel

    java.lang.Object
      org.boehn.kmlframework.kml.Kml
          org.boehn.kmlframework.servlet.HttpServletModel

    public class HttpServletModel

extends Kml

Field Summary
`boolean` | `DISABLEHTTPCACHE`

Fields inherited from class org.boehn.kmlframework.kml.Kml
`atomElementsIncluded, celestialData, feature, generateObjectIds, networkLinkControl`

Constructor Summary
`HttpServletModel(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`HttpServletModel(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean handleTransactions)`

Method Summary
`javax.servlet.http.HttpServletResponse` | `getResponse()`
`java.lang.String` | `getSessionId()`
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)`
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `write()`

Methods inherited from class org.boehn.kmlframework.kml.Kml
`createKml, createKml, createKmz, getFeature, getNetworkLinkControl, getXmlIndent, isAtomElementsIncluded, isCelestialData, isGenerateObjectIds, print, print, print, println, println, println, setAtomElementsIncluded, setCelestialData, setFeature, setGenerateObjectIds, setNetworkLinkControl, setXmlIndent, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISABLEHTTPCACHE

    public boolean DISABLEHTTPCACHE

Constructor Detail

### HttpServletModel

    public HttpServletModel(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)

### HttpServletModel

    public HttpServletModel(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response,
                            boolean handleTransactions)

Method Detail

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)

### write

    public void write()
               throws KmlException,
                      java.io.IOException

  Throws:
    `KmlException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD